/*
    This file is part of libtermui.

    libtermui is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    libtermui is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with libtermui.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010, Alexandre Becoulet <alexandre.becoulet@free.fr>

*/

#include "vtemu_pv.h"

void termui_vtemu_execute(struct termui_vtemu_s *ctx, uint8_t c)
{
}

void termui_vtemu_print(struct termui_vtemu_s *ctx, uint8_t c)
{
}

void termui_vtemu_esc_dispatch(struct termui_vtemu_s *ctx, uint8_t c)
{
}

void termui_vtemu_csi_dispatch(struct termui_vtemu_s *ctx, uint8_t c)
{
}

static TERMUI_EMU_FCN_PUSHCHAR(termui_vtemu_parse)
{
  te->emu.vt.st(&te->emu.vt, c);
}

termui_err_t termui_emu_vt_init(struct termui_emu_s *te, struct termui_term_s *term)
{
  te->term = term;
  termui_vtemu_parser_init(&te->emu.vt);
  te->e_pushchar = &termui_vtemu_parse;
}

